Skip to content
View as Markdown

GET Taxonomy Terms​

GET
/reports/taxonomy-terms

Retrieve WordPress taxonomy terms with optional search filtering. Returns up to 20 terms matching the search query, plus any additional terms specified by values IDs. Useful for populating dropdowns for category/tag-based filters.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

taxonomy*

WordPress taxonomy slug (e.g., category, post_tag, product_cat).

Type
string
Required
Example"category"
search

Search term to filter taxonomy terms by name.

Type
string
values

Array of term IDs that must be included in the results regardless of search.

Type
array

Responses​

Taxonomy terms retrieved successfully.

application/json
JSON
{
"options": [
{
"id": "string",
"title": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI